package com.xhkjedu.sapi.mapper.appversion;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.appversion.TAppthirdHistory;

import java.util.List;

public interface AppthirdHistoryMapper extends TkMapper<TAppthirdHistory> {
    /**
     * 获取APP文件
     * @Param [appid]
     * @Author ywx
     * @Date 2021/10/26 16:15
     * @return java.util.List<java.lang.String>
     **/
    List<String> listApppath(Integer appid);

    /**
     * 获取APP文件夹
     * @Param [apphid]
     * @Author ywx
     * @Date 2021/10/26 16:29
     * @return java.util.List<java.lang.String>
     **/
    List<String> listApppath2(Integer apphid);

    /*
     * @Description 获取应用历史版本数量
     * @Date 2024/2/22 18:40:49
     * @Author WN
     * @Param [appid]
     * @Return java.lang.Integer
     **/
    Integer getAppHistoryCount(Integer appid);
}
